Mailinglist Archive: libyui-commit (19 mails)

< Previous Next >
[libyui-commit] Build failed in Jenkins: libyui-ncurses-pkg-master #119
  • From: admin@xxxxxxxxxxxx
  • Date: Wed, 17 Apr 2019 16:32:56 +0000 (UTC)
  • Message-id: <1114761319.3.1555518776484.JavaMail.jenkins@ci-opensuse>
See
<http://ci.opensuse.org/job/libyui-ncurses-pkg-master/119/display/redirect?page=changes>

Changes:

[lslezak] Bump the .so version to 10 (bsc#1132247)

------------------------------------------
[...truncated 40.58 KB...]
[ 11s] [198/201] keeping aaa_base-84.87+git20190404.8684de3-1.1
[ 11s] [199/201] keeping rpm-build-4.14.2.1-4.1
[ 11s] [200/201] keeping aaa_base-malloccheck-84.87+git20190404.8684de3-1.1
[ 11s] [201/201] keeping post-build-checks-84.88+git20181015.ceb5c96-1.2
[ 11s] now installing cumulated packages
[ 11s] Preparing...
########################################
[ 11s] Updating / installing...
[ 11s] libxml2-2-2.9.9-1.1
########################################
[ 12s] libgpg-error0-1.36-1.1
########################################
[ 13s] zlib-devel-1.2.11-6.1
########################################
[ 13s] libunistring2-0.9.10-2.1
########################################
[ 13s] libidn2-0-2.1.1-1.1
########################################
[ 13s] libassuan0-2.5.3-1.1
########################################
[ 13s] popt-devel-1.16-31.1
########################################
[ 13s] rpm-devel-4.14.2.1-4.1
########################################
[ 13s] openssl-1_1-1.1.0h-4.6
########################################
[ 13s] libboost_thread1_69_0-1.69.0-1.2
########################################
[ 14s] libnettle6-3.4.1-1.2
########################################
[ 14s] libhogweed4-3.4.1-1.2
########################################
[ 14s] openssl-1.1.0h-1.2
########################################
[ 14s] libopenssl-1_1-devel-1.1.0h-4.6
########################################
[ 14s] libopenssl-devel-1.1.0h-1.2
########################################
[ 14s] libsolv-devel-0.7.4-1.1
########################################
[ 14s] libpsl5-0.20.2-1.5
########################################
[ 15s] libgcrypt20-1.8.4-2.3
########################################
[ 15s] libksba8-1.3.5-2.4
########################################
[ 15s] libarchive13-3.3.3-4.1
########################################
[ 15s] libxml2-tools-2.9.9-1.1
########################################
[ 15s] libtasn1-6-4.13-2.3
########################################
[ 16s] libtasn1-4.13-2.3
########################################
[ 16s] libyui-ncurses9-2.50.4-2.5
########################################
[ 16s] libssh4-0.8.7-1.1
########################################
[ 16s] ncurses-devel-6.1-14.1
########################################
[ 16s]
libboost_program_options1_69_0-1.69.0-########################################
[ 16s]
libboost_program_options1_69_0-devel-1########################################
[ 16s]
libboost_program_options-devel-1.69.0-########################################
[ 17s] libboost_date_time1_69_0-1.69.0-1.2
########################################
[ 17s]
libboost_date_time1_69_0-devel-1.69.0-########################################
[ 17s] libboost_chrono1_69_0-1.69.0-1.2
########################################
[ 17s]
libboost_chrono1_69_0-devel-1.69.0-1.2########################################
[ 17s]
libboost_thread1_69_0-devel-1.69.0-1.2########################################
[ 17s] libboost_thread-devel-1.69.0-1.1
########################################
[ 17s] xz-devel-5.2.4-1.5
########################################
[ 17s] libxml2-devel-2.9.9-1.1
########################################
[ 17s] libusb-1_0-0-1.0.22-1.4
########################################
[ 17s] libudev-mini-devel-241-2.1
########################################
[ 17s] libp11-kit0-0.23.12-1.3
########################################
[ 18s] libgnutls30-3.6.7-1.1
########################################
[ 18s] libzstd1-1.3.8-1.2
########################################
[ 18s] libsolv-tools-0.7.4-1.1
########################################
[ 18s] libuv1-1.27.0-1.1
########################################
[ 18s] libsqlite3-0-3.27.2-1.1
########################################
[ 19s] libsasl2-3-2.1.27-1.2
########################################
[ 19s] libldap-2_4-2-2.4.47-45.1
########################################
[ 19s] librhash0-1.3.8-1.1
########################################
[ 19s] libpython3_7m1_0-3.7.2-3.1
########################################
[ 19s] libnpth0-1.6-1.2
########################################
[ 20s] gpg2-2.2.15-1.1
########################################
[ 20s] libgpgme11-1.13.0-1.1
########################################
[ 20s] libnghttp2-14-1.36.0-1.3
########################################
[ 20s] libcurl4-7.64.1-1.1
########################################
[ 21s] libcurl-devel-7.64.1-1.1
########################################
[ 21s] libzypp-17.11.4-1.1
########################################
[ 21s]
python-rpm-macros-20190408.32abece-1.1########################################
[ 23s] python3-base-3.7.2-3.1
########################################
[ 24s] cmake-3.13.4-3.1
########################################
[ 24s] libzypp-devel-17.11.4-1.1
########################################
[ 24s] libyui-ncurses-devel-2.50.4-2.5
########################################
[ 25s] removing nis flags from
/var/tmp/build-root/openSUSE_Factory-x86_64/etc/nsswitch.conf...
[ 25s] now finalizing build dir...
[ 27s] -----------------------------------------------------------------
[ 27s] I have the following modifications for libyui-ncurses-pkg.spec:
[ 27s] 21c21
[ 27s] < Release: 0
[ 27s] ---
[ 27s] > Release: 1
[ 27s] -----------------------------------------------------------------
[ 27s] ----- building libyui-ncurses-pkg.spec (user abuild)
[ 27s] -----------------------------------------------------------------
[ 27s] -----------------------------------------------------------------
[ 27s] + exec rpmbuild -ba --define '_srcdefattr (-,root,root)' --nosignature
/home/abuild/rpmbuild/SOURCES/libyui-ncurses-pkg.spec
[ 28s] setting SOURCE_DATE_EPOCH=1554984000
[ 28s] Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.hXf8M8
[ 28s] + umask 022
[ 28s] + cd /home/abuild/rpmbuild/BUILD
[ 28s] + cd /home/abuild/rpmbuild/BUILD
[ 28s] + rm -rf libyui-ncurses-pkg-2.49.0
[ 28s] + /usr/bin/bzip2 -dc
/home/abuild/rpmbuild/SOURCES/libyui-ncurses-pkg-2.49.0.tar.bz2
[ 28s] + /usr/bin/tar -xof -
[ 28s] + STATUS=0
[ 28s] + '[' 0 -ne 0 ']'
[ 28s] + cd libyui-ncurses-pkg-2.49.0
[ 28s] + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
[ 28s] + exit 0
[ 28s] Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.Zb3xC5
[ 28s] + umask 022
[ 28s] + cd /home/abuild/rpmbuild/BUILD
[ 28s] + /usr/bin/rm -rf
/home/abuild/rpmbuild/BUILDROOT/libyui-ncurses-pkg-2.49.0-1.x86_64
[ 28s] ++ dirname
/home/abuild/rpmbuild/BUILDROOT/libyui-ncurses-pkg-2.49.0-1.x86_64
[ 28s] + /usr/bin/mkdir -p /home/abuild/rpmbuild/BUILDROOT
[ 28s] + /usr/bin/mkdir
/home/abuild/rpmbuild/BUILDROOT/libyui-ncurses-pkg-2.49.0-1.x86_64
[ 28s] + cd libyui-ncurses-pkg-2.49.0
[ 28s] + export 'CFLAGS=-O2 -Wall -D_FORTIFY_SOURCE=2
-fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables
-fstack-clash-protection -DNDEBUG'
[ 28s] + CFLAGS='-O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong
-funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -DNDEBUG'
[ 28s] + export 'CXXFLAGS=-O2 -Wall -D_FORTIFY_SOURCE=2
-fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables
-fstack-clash-protection -DNDEBUG'
[ 28s] + CXXFLAGS='-O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong
-funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -DNDEBUG'
[ 28s] + ./bootstrap.sh /usr
[ 28s] checking for /usr/share/libyui/buildtools/CMakeLists.common...
[ 28s] OK: linked to
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/./CMakeLists.txt.
[ 28s] + mkdir build
[ 28s] + cd build
[ 28s] + cmake .. -DYPREFIX=/usr -DDOC_DIR=/usr/share/doc/packages
-DLIB_DIR=lib64 -DCMAKE_BUILD_TYPE=RELEASE
[ 28s] CMake Deprecation Warning at CMakeLists.txt:6 (cmake_policy):
[ 28s] The OLD behavior for policy CMP0053 will be removed from a future
version
[ 28s] of CMake.
[ 28s]
[ 28s] The cmake-policies(7) manual explains that the OLD behaviors of all
[ 28s] policies are deprecated and that a policy should be set to OLD only
under
[ 28s] specific short-term circumstances. Projects should be ported to the
NEW
[ 28s] behavior and not rely on setting a policy to OLD.
[ 28s]
[ 28s]
[ 28s] CMake Deprecation Warning at CMakeLists.txt:12 (cmake_policy):
[ 28s] The OLD behavior for policy CMP0043 will be removed from a future
version
[ 28s] of CMake.
[ 28s]
[ 28s] The cmake-policies(7) manual explains that the OLD behaviors of all
[ 28s] policies are deprecated and that a policy should be set to OLD only
under
[ 28s] specific short-term circumstances. Projects should be ported to the
NEW
[ 28s] behavior and not rely on setting a policy to OLD.
[ 28s]
[ 28s]
[ 28s] -- The C compiler identification is GNU 8.3.1
[ 28s] -- The CXX compiler identification is GNU 8.3.1
[ 28s] -- Check for working C compiler: /usr/bin/cc
[ 28s] -- Check for working C compiler: /usr/bin/cc -- works
[ 28s] -- Detecting C compiler ABI info
[ 28s] -- Detecting C compiler ABI info - done
[ 28s] -- Detecting C compile features
[ 29s] -- Detecting C compile features - done
[ 29s] -- Check for working CXX compiler: /usr/bin/c++
[ 29s] -- Check for working CXX compiler: /usr/bin/c++ -- works
[ 29s] -- Detecting CXX compiler ABI info
[ 30s] -- Detecting CXX compiler ABI info - done
[ 30s] -- Detecting CXX compile features
[ 31s] -- Detecting CXX compile features - done
[ 31s] -- Found Curses6: /usr/lib64/libncursesw.so;/usr/lib64/libpanelw.so
[ 31s] -- ZYpp path not set. Looking for it.
[ 31s] -- ZYpp found: includes in /usr/include, library in
/usr/lib64/libzypp.so
[ 31s] -- Found Libyui: (Version: 3.5.0)
[ 31s] -- Found Libyui-ncurses: (Version: 2.50.4)
[ 31s] -- USE_C_STD not set, defaulting to gnu99
[ 31s] -- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)
[ 31s] --
[ 31s] --
********************************************************************************
[ 31s] --
[ 31s] -- libyui-ncurses-pkg has been configured with following options:
[ 31s] --
[ 31s] -- Plugin-Name: ncurses-pkg
[ 31s] -- Extension-Name:
[ 31s] -- Library-Dependencies:
Curses6;Zypp;Libyui;Libyui-ncurses
[ 31s] -- Plugin is for use with:
[ 31s] -- targetlib to build: yui-ncurses-pkg
[ 31s] --
[ 31s] -- Version: 2.49.0
[ 31s] -- SO-Version: 10.0.0
[ 31s] --
[ 31s] -- Used Build-Option: RELEASE
[ 31s] -- Used Compiler-Flags: -O2 -Wall
-D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables
-fasynchronous-unwind-tables -fstack-clash-protection -DNDEBUG -std=c++0x
-fmessage-length=0 -Wall -Werror -O3
[ 31s] -- linking against:
[ 31s] -- using includes from:
/usr/include/yui/ncurses;/usr/include/yui/ncurses/..;/usr/include/yui;/usr/include/yui/..;/usr/include;/usr/include
[ 31s] --
[ 31s] --
[ 31s] -- Install to Prefix: /usr
[ 31s] -- use Shared-Dir: /usr/share
[ 31s] -- use Library-Dir: /usr/lib64/yui
[ 31s] -- use Include-Dir:
/usr/include/yui/ncurses-pkg
[ 31s] -- use CMake Plugin-InstallDir:
/usr/lib64/cmake/libyui-ncurses-pkg
[ 31s] -- use Doc-Dir:
/usr/share/doc/packages/libyui-ncurses-pkg10
[ 31s] -- Data-Dir: /usr/share/libyui
[ 31s] -- Theme-Dir: /usr/share/libyui/theme
[ 31s] --
[ 31s] -- Disable shared library: OFF
[ 31s] -- Include Debug-Symbols in library: OFF
[ 31s] -- Build a static library, too: OFF
[ 31s] -- Build the examples, too: ON
[ 31s] -- Build the tests, too: ON
[ 31s] -- Generate test code coverage: OFF
[ 31s] --
[ 31s] --
********************************************************************************
[ 31s] --
[ 31s] -- Configuring done
[ 31s] -- Generating done
[ 31s] -- Build files have been written to:
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/build
[ 31s] + make -j2
[ 32s] Scanning dependencies of target yui-ncurses-pkg
[ 32s] [ 3%] Building CXX object
src/CMakeFiles/yui-ncurses-pkg.dir/NCPackageSelector.cc.o
[ 32s] [ 6%] Building CXX object
src/CMakeFiles/yui-ncurses-pkg.dir/NCPackageSelectorPluginImpl.cc.o
[ 37s] [ 10%] Building CXX object
src/CMakeFiles/yui-ncurses-pkg.dir/NCPackageSelectorStart.cc.o
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:
In member function 'void NCPackageSelector::createYouLayout(YWidget*)':
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:1702:62:
error: invalid new-expression of abstract class type 'NCPushButton'
[ 39s] cancelButton = new NCPushButton( hSplit5, _( "&Cancel" ) );
[ 39s] ^
[ 39s] In file included from /usr/include/yui/ncurses/NCDialog.h:32,
[ 39s] from /usr/include/yui/ncurses/NCWidgetFactory.h:37,
[ 39s] from
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:42:
[ 39s] /usr/include/yui/ncurses/NCPushButton.h:34:7: note: because the
following virtual functions are pure within 'NCPushButton':
[ 39s] class NCPushButton : public YPushButton, public NCWidget
[ 39s] ^~~~~~~~~~~~
[ 39s] In file included from /usr/include/yui/YButtonBox.h:31,
[ 39s] from /usr/include/yui/ncurses/NCButtonBox.h:30,
[ 39s] from /usr/include/yui/ncurses/NCWidgetFactory.h:33,
[ 39s] from
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:42:
[ 39s] /usr/include/yui/YPushButton.h:224:18: note: 'virtual void
YPushButton::activate()'
[ 39s] virtual void activate() = 0;
[ 39s] ^~~~~~~~
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:1707:58:
error: invalid new-expression of abstract class type 'NCPushButton'
[ 39s] okButton = new NCPushButton( hSplit5, _( "&Accept" ) );
[ 39s] ^
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:
In member function 'void NCPackageSelector::createPkgLayout(YWidget*,
NCPkgTable::NCPkgTableType)':
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:1821:61:
error: invalid new-expression of abstract class type 'NCPushButton'
[ 39s] cancelButton = new NCPushButton( hSplit, _( "&Cancel" ) );
[ 39s] ^
[ 39s]
/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.49.0/src/NCPackageSelector.cc:1826:57:
error: invalid new-expression of abstract class type 'NCPushButton'
[ 39s] okButton = new NCPushButton( hSplit, _( "&Accept" ) );
[ 39s] ^
[ 40s] make[2]: *** [src/CMakeFiles/yui-ncurses-pkg.dir/build.make:63:
src/CMakeFiles/yui-ncurses-pkg.dir/NCPackageSelector.cc.o] Error 1
[ 40s] make[2]: *** Waiting for unfinished jobs....
[ 41s] make[1]: *** [CMakeFiles/Makefile2:187:
src/CMakeFiles/yui-ncurses-pkg.dir/all] Error 2
[ 41s] make: *** [Makefile:163: all] Error 2
[ 41s] error: Bad exit status from /var/tmp/rpm-tmp.Zb3xC5 (%build)
[ 41s]
[ 41s]
[ 41s] RPM build errors:
[ 41s] Bad exit status from /var/tmp/rpm-tmp.Zb3xC5 (%build)
[ 41s]
[ 41s] yast-jenkins failed "build libyui-ncurses-pkg.spec" at Wed Apr 17
16:32:56 UTC 2019.
[ 41s]

The buildroot was: /var/tmp/build-root/openSUSE_Factory-x86_64
rm -rf devel:libraries:libyui
rake aborted!
Command failed with status (1): [yes | osc -A 'https://api.opensuse.org/' b...]

Tasks: TOP => osc:sr => osc:commit => osc:build
(See full trace by running task with --trace)
cleaning
Build step 'Execute shell' marked build as failure
Not sending mail to unregistered user lslezak@xxxxxxx

< Previous Next >
This Thread
Follow Ups